Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network128.232.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
128.232.0.0
Broadcast address
128.239.255.255
First usable
128.232.0.1
Last usable
128.239.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
B (default /16)
As numbers
Hex 80E80000 · Integer 2162688000 to 2163212287
Reverse DNS zones
232.128.in-addr.arpa
233.128.in-addr.arpa
234.128.in-addr.arpa
235.128.in-addr.arpa
236.128.in-addr.arpa
237.128.in-addr.arpa
238.128.in-addr.arpa
239.128.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000000.11101000.00000000.00000000128.232.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network10000000.11101000.00000000.00000000128.232.0.0
Broadcast10000000.11101111.11111111.11111111128.239.255.255
Split into smaller subnets/23

128.232.0.0/13 makes 1,024 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1128.232.0.0/23128.232.0.1 to 128.232.1.254128.232.1.255510
2128.232.2.0/23128.232.2.1 to 128.232.3.254128.232.3.255510
3128.232.4.0/23128.232.4.1 to 128.232.5.254128.232.5.255510
4128.232.6.0/23128.232.6.1 to 128.232.7.254128.232.7.255510
5128.232.8.0/23128.232.8.1 to 128.232.9.254128.232.9.255510
6128.232.10.0/23128.232.10.1 to 128.232.11.254128.232.11.255510
7128.232.12.0/23128.232.12.1 to 128.232.13.254128.232.13.255510
8128.232.14.0/23128.232.14.1 to 128.232.15.254128.232.15.255510
9128.232.16.0/23128.232.16.1 to 128.232.17.254128.232.17.255510
10128.232.18.0/23128.232.18.1 to 128.232.19.254128.232.19.255510
11128.232.20.0/23128.232.20.1 to 128.232.21.254128.232.21.255510
12128.232.22.0/23128.232.22.1 to 128.232.23.254128.232.23.255510
13128.232.24.0/23128.232.24.1 to 128.232.25.254128.232.25.255510
14128.232.26.0/23128.232.26.1 to 128.232.27.254128.232.27.255510
15128.232.28.0/23128.232.28.1 to 128.232.29.254128.232.29.255510
16128.232.30.0/23128.232.30.1 to 128.232.31.254128.232.31.255510
17128.232.32.0/23128.232.32.1 to 128.232.33.254128.232.33.255510
18128.232.34.0/23128.232.34.1 to 128.232.35.254128.232.35.255510
19128.232.36.0/23128.232.36.1 to 128.232.37.254128.232.37.255510
20128.232.38.0/23128.232.38.1 to 128.232.39.254128.232.39.255510
21128.232.40.0/23128.232.40.1 to 128.232.41.254128.232.41.255510
22128.232.42.0/23128.232.42.1 to 128.232.43.254128.232.43.255510
23128.232.44.0/23128.232.44.1 to 128.232.45.254128.232.45.255510
24128.232.46.0/23128.232.46.1 to 128.232.47.254128.232.47.255510
25128.232.48.0/23128.232.48.1 to 128.232.49.254128.232.49.255510
26128.232.50.0/23128.232.50.1 to 128.232.51.254128.232.51.255510
27128.232.52.0/23128.232.52.1 to 128.232.53.254128.232.53.255510
28128.232.54.0/23128.232.54.1 to 128.232.55.254128.232.55.255510
29128.232.56.0/23128.232.56.1 to 128.232.57.254128.232.57.255510
30128.232.58.0/23128.232.58.1 to 128.232.59.254128.232.59.255510
31128.232.60.0/23128.232.60.1 to 128.232.61.254128.232.61.255510
32128.232.62.0/23128.232.62.1 to 128.232.63.254128.232.63.255510
33128.232.64.0/23128.232.64.1 to 128.232.65.254128.232.65.255510
34128.232.66.0/23128.232.66.1 to 128.232.67.254128.232.67.255510
35128.232.68.0/23128.232.68.1 to 128.232.69.254128.232.69.255510
36128.232.70.0/23128.232.70.1 to 128.232.71.254128.232.71.255510
37128.232.72.0/23128.232.72.1 to 128.232.73.254128.232.73.255510
38128.232.74.0/23128.232.74.1 to 128.232.75.254128.232.75.255510
39128.232.76.0/23128.232.76.1 to 128.232.77.254128.232.77.255510
40128.232.78.0/23128.232.78.1 to 128.232.79.254128.232.79.255510
41128.232.80.0/23128.232.80.1 to 128.232.81.254128.232.81.255510
42128.232.82.0/23128.232.82.1 to 128.232.83.254128.232.83.255510
43128.232.84.0/23128.232.84.1 to 128.232.85.254128.232.85.255510
44128.232.86.0/23128.232.86.1 to 128.232.87.254128.232.87.255510
45128.232.88.0/23128.232.88.1 to 128.232.89.254128.232.89.255510
46128.232.90.0/23128.232.90.1 to 128.232.91.254128.232.91.255510
47128.232.92.0/23128.232.92.1 to 128.232.93.254128.232.93.255510
48128.232.94.0/23128.232.94.1 to 128.232.95.254128.232.95.255510
49128.232.96.0/23128.232.96.1 to 128.232.97.254128.232.97.255510
50128.232.98.0/23128.232.98.1 to 128.232.99.254128.232.99.255510
51128.232.100.0/23128.232.100.1 to 128.232.101.254128.232.101.255510
52128.232.102.0/23128.232.102.1 to 128.232.103.254128.232.103.255510
53128.232.104.0/23128.232.104.1 to 128.232.105.254128.232.105.255510
54128.232.106.0/23128.232.106.1 to 128.232.107.254128.232.107.255510
55128.232.108.0/23128.232.108.1 to 128.232.109.254128.232.109.255510
56128.232.110.0/23128.232.110.1 to 128.232.111.254128.232.111.255510
57128.232.112.0/23128.232.112.1 to 128.232.113.254128.232.113.255510
58128.232.114.0/23128.232.114.1 to 128.232.115.254128.232.115.255510
59128.232.116.0/23128.232.116.1 to 128.232.117.254128.232.117.255510
60128.232.118.0/23128.232.118.1 to 128.232.119.254128.232.119.255510
61128.232.120.0/23128.232.120.1 to 128.232.121.254128.232.121.255510
62128.232.122.0/23128.232.122.1 to 128.232.123.254128.232.123.255510
63128.232.124.0/23128.232.124.1 to 128.232.125.254128.232.125.255510
64128.232.126.0/23128.232.126.1 to 128.232.127.254128.232.127.255510
65128.232.128.0/23128.232.128.1 to 128.232.129.254128.232.129.255510
66128.232.130.0/23128.232.130.1 to 128.232.131.254128.232.131.255510
67128.232.132.0/23128.232.132.1 to 128.232.133.254128.232.133.255510
68128.232.134.0/23128.232.134.1 to 128.232.135.254128.232.135.255510
69128.232.136.0/23128.232.136.1 to 128.232.137.254128.232.137.255510
70128.232.138.0/23128.232.138.1 to 128.232.139.254128.232.139.255510
71128.232.140.0/23128.232.140.1 to 128.232.141.254128.232.141.255510
72128.232.142.0/23128.232.142.1 to 128.232.143.254128.232.143.255510
73128.232.144.0/23128.232.144.1 to 128.232.145.254128.232.145.255510
74128.232.146.0/23128.232.146.1 to 128.232.147.254128.232.147.255510
75128.232.148.0/23128.232.148.1 to 128.232.149.254128.232.149.255510
76128.232.150.0/23128.232.150.1 to 128.232.151.254128.232.151.255510
77128.232.152.0/23128.232.152.1 to 128.232.153.254128.232.153.255510
78128.232.154.0/23128.232.154.1 to 128.232.155.254128.232.155.255510
79128.232.156.0/23128.232.156.1 to 128.232.157.254128.232.157.255510
80128.232.158.0/23128.232.158.1 to 128.232.159.254128.232.159.255510
81128.232.160.0/23128.232.160.1 to 128.232.161.254128.232.161.255510
82128.232.162.0/23128.232.162.1 to 128.232.163.254128.232.163.255510
83128.232.164.0/23128.232.164.1 to 128.232.165.254128.232.165.255510
84128.232.166.0/23128.232.166.1 to 128.232.167.254128.232.167.255510
85128.232.168.0/23128.232.168.1 to 128.232.169.254128.232.169.255510
86128.232.170.0/23128.232.170.1 to 128.232.171.254128.232.171.255510
87128.232.172.0/23128.232.172.1 to 128.232.173.254128.232.173.255510
88128.232.174.0/23128.232.174.1 to 128.232.175.254128.232.175.255510
89128.232.176.0/23128.232.176.1 to 128.232.177.254128.232.177.255510
90128.232.178.0/23128.232.178.1 to 128.232.179.254128.232.179.255510
91128.232.180.0/23128.232.180.1 to 128.232.181.254128.232.181.255510
92128.232.182.0/23128.232.182.1 to 128.232.183.254128.232.183.255510
93128.232.184.0/23128.232.184.1 to 128.232.185.254128.232.185.255510
94128.232.186.0/23128.232.186.1 to 128.232.187.254128.232.187.255510
95128.232.188.0/23128.232.188.1 to 128.232.189.254128.232.189.255510
96128.232.190.0/23128.232.190.1 to 128.232.191.254128.232.191.255510
97128.232.192.0/23128.232.192.1 to 128.232.193.254128.232.193.255510
98128.232.194.0/23128.232.194.1 to 128.232.195.254128.232.195.255510
99128.232.196.0/23128.232.196.1 to 128.232.197.254128.232.197.255510
100128.232.198.0/23128.232.198.1 to 128.232.199.254128.232.199.255510
101128.232.200.0/23128.232.200.1 to 128.232.201.254128.232.201.255510
102128.232.202.0/23128.232.202.1 to 128.232.203.254128.232.203.255510
103128.232.204.0/23128.232.204.1 to 128.232.205.254128.232.205.255510
104128.232.206.0/23128.232.206.1 to 128.232.207.254128.232.207.255510
105128.232.208.0/23128.232.208.1 to 128.232.209.254128.232.209.255510
106128.232.210.0/23128.232.210.1 to 128.232.211.254128.232.211.255510
107128.232.212.0/23128.232.212.1 to 128.232.213.254128.232.213.255510
108128.232.214.0/23128.232.214.1 to 128.232.215.254128.232.215.255510
109128.232.216.0/23128.232.216.1 to 128.232.217.254128.232.217.255510
110128.232.218.0/23128.232.218.1 to 128.232.219.254128.232.219.255510
111128.232.220.0/23128.232.220.1 to 128.232.221.254128.232.221.255510
112128.232.222.0/23128.232.222.1 to 128.232.223.254128.232.223.255510
113128.232.224.0/23128.232.224.1 to 128.232.225.254128.232.225.255510
114128.232.226.0/23128.232.226.1 to 128.232.227.254128.232.227.255510
115128.232.228.0/23128.232.228.1 to 128.232.229.254128.232.229.255510
116128.232.230.0/23128.232.230.1 to 128.232.231.254128.232.231.255510
117128.232.232.0/23128.232.232.1 to 128.232.233.254128.232.233.255510
118128.232.234.0/23128.232.234.1 to 128.232.235.254128.232.235.255510
119128.232.236.0/23128.232.236.1 to 128.232.237.254128.232.237.255510
120128.232.238.0/23128.232.238.1 to 128.232.239.254128.232.239.255510
121128.232.240.0/23128.232.240.1 to 128.232.241.254128.232.241.255510
122128.232.242.0/23128.232.242.1 to 128.232.243.254128.232.243.255510
123128.232.244.0/23128.232.244.1 to 128.232.245.254128.232.245.255510
124128.232.246.0/23128.232.246.1 to 128.232.247.254128.232.247.255510
125128.232.248.0/23128.232.248.1 to 128.232.249.254128.232.249.255510
126128.232.250.0/23128.232.250.1 to 128.232.251.254128.232.251.255510
127128.232.252.0/23128.232.252.1 to 128.232.253.254128.232.253.255510
128128.232.254.0/23128.232.254.1 to 128.232.255.254128.232.255.255510
129128.233.0.0/23128.233.0.1 to 128.233.1.254128.233.1.255510
130128.233.2.0/23128.233.2.1 to 128.233.3.254128.233.3.255510
131128.233.4.0/23128.233.4.1 to 128.233.5.254128.233.5.255510
132128.233.6.0/23128.233.6.1 to 128.233.7.254128.233.7.255510
133128.233.8.0/23128.233.8.1 to 128.233.9.254128.233.9.255510
134128.233.10.0/23128.233.10.1 to 128.233.11.254128.233.11.255510
135128.233.12.0/23128.233.12.1 to 128.233.13.254128.233.13.255510
136128.233.14.0/23128.233.14.1 to 128.233.15.254128.233.15.255510
137128.233.16.0/23128.233.16.1 to 128.233.17.254128.233.17.255510
138128.233.18.0/23128.233.18.1 to 128.233.19.254128.233.19.255510
139128.233.20.0/23128.233.20.1 to 128.233.21.254128.233.21.255510
140128.233.22.0/23128.233.22.1 to 128.233.23.254128.233.23.255510
141128.233.24.0/23128.233.24.1 to 128.233.25.254128.233.25.255510
142128.233.26.0/23128.233.26.1 to 128.233.27.254128.233.27.255510
143128.233.28.0/23128.233.28.1 to 128.233.29.254128.233.29.255510
144128.233.30.0/23128.233.30.1 to 128.233.31.254128.233.31.255510
145128.233.32.0/23128.233.32.1 to 128.233.33.254128.233.33.255510
146128.233.34.0/23128.233.34.1 to 128.233.35.254128.233.35.255510
147128.233.36.0/23128.233.36.1 to 128.233.37.254128.233.37.255510
148128.233.38.0/23128.233.38.1 to 128.233.39.254128.233.39.255510
149128.233.40.0/23128.233.40.1 to 128.233.41.254128.233.41.255510
150128.233.42.0/23128.233.42.1 to 128.233.43.254128.233.43.255510
151128.233.44.0/23128.233.44.1 to 128.233.45.254128.233.45.255510
152128.233.46.0/23128.233.46.1 to 128.233.47.254128.233.47.255510
153128.233.48.0/23128.233.48.1 to 128.233.49.254128.233.49.255510
154128.233.50.0/23128.233.50.1 to 128.233.51.254128.233.51.255510
155128.233.52.0/23128.233.52.1 to 128.233.53.254128.233.53.255510
156128.233.54.0/23128.233.54.1 to 128.233.55.254128.233.55.255510
157128.233.56.0/23128.233.56.1 to 128.233.57.254128.233.57.255510
158128.233.58.0/23128.233.58.1 to 128.233.59.254128.233.59.255510
159128.233.60.0/23128.233.60.1 to 128.233.61.254128.233.61.255510
160128.233.62.0/23128.233.62.1 to 128.233.63.254128.233.63.255510
161128.233.64.0/23128.233.64.1 to 128.233.65.254128.233.65.255510
162128.233.66.0/23128.233.66.1 to 128.233.67.254128.233.67.255510
163128.233.68.0/23128.233.68.1 to 128.233.69.254128.233.69.255510
164128.233.70.0/23128.233.70.1 to 128.233.71.254128.233.71.255510
165128.233.72.0/23128.233.72.1 to 128.233.73.254128.233.73.255510
166128.233.74.0/23128.233.74.1 to 128.233.75.254128.233.75.255510
167128.233.76.0/23128.233.76.1 to 128.233.77.254128.233.77.255510
168128.233.78.0/23128.233.78.1 to 128.233.79.254128.233.79.255510
169128.233.80.0/23128.233.80.1 to 128.233.81.254128.233.81.255510
170128.233.82.0/23128.233.82.1 to 128.233.83.254128.233.83.255510
171128.233.84.0/23128.233.84.1 to 128.233.85.254128.233.85.255510
172128.233.86.0/23128.233.86.1 to 128.233.87.254128.233.87.255510
173128.233.88.0/23128.233.88.1 to 128.233.89.254128.233.89.255510
174128.233.90.0/23128.233.90.1 to 128.233.91.254128.233.91.255510
175128.233.92.0/23128.233.92.1 to 128.233.93.254128.233.93.255510
176128.233.94.0/23128.233.94.1 to 128.233.95.254128.233.95.255510
177128.233.96.0/23128.233.96.1 to 128.233.97.254128.233.97.255510
178128.233.98.0/23128.233.98.1 to 128.233.99.254128.233.99.255510
179128.233.100.0/23128.233.100.1 to 128.233.101.254128.233.101.255510
180128.233.102.0/23128.233.102.1 to 128.233.103.254128.233.103.255510
181128.233.104.0/23128.233.104.1 to 128.233.105.254128.233.105.255510
182128.233.106.0/23128.233.106.1 to 128.233.107.254128.233.107.255510
183128.233.108.0/23128.233.108.1 to 128.233.109.254128.233.109.255510
184128.233.110.0/23128.233.110.1 to 128.233.111.254128.233.111.255510
185128.233.112.0/23128.233.112.1 to 128.233.113.254128.233.113.255510
186128.233.114.0/23128.233.114.1 to 128.233.115.254128.233.115.255510
187128.233.116.0/23128.233.116.1 to 128.233.117.254128.233.117.255510
188128.233.118.0/23128.233.118.1 to 128.233.119.254128.233.119.255510
189128.233.120.0/23128.233.120.1 to 128.233.121.254128.233.121.255510
190128.233.122.0/23128.233.122.1 to 128.233.123.254128.233.123.255510
191128.233.124.0/23128.233.124.1 to 128.233.125.254128.233.125.255510
192128.233.126.0/23128.233.126.1 to 128.233.127.254128.233.127.255510
193128.233.128.0/23128.233.128.1 to 128.233.129.254128.233.129.255510
194128.233.130.0/23128.233.130.1 to 128.233.131.254128.233.131.255510
195128.233.132.0/23128.233.132.1 to 128.233.133.254128.233.133.255510
196128.233.134.0/23128.233.134.1 to 128.233.135.254128.233.135.255510
197128.233.136.0/23128.233.136.1 to 128.233.137.254128.233.137.255510
198128.233.138.0/23128.233.138.1 to 128.233.139.254128.233.139.255510
199128.233.140.0/23128.233.140.1 to 128.233.141.254128.233.141.255510
200128.233.142.0/23128.233.142.1 to 128.233.143.254128.233.143.255510
201128.233.144.0/23128.233.144.1 to 128.233.145.254128.233.145.255510
202128.233.146.0/23128.233.146.1 to 128.233.147.254128.233.147.255510
203128.233.148.0/23128.233.148.1 to 128.233.149.254128.233.149.255510
204128.233.150.0/23128.233.150.1 to 128.233.151.254128.233.151.255510
205128.233.152.0/23128.233.152.1 to 128.233.153.254128.233.153.255510
206128.233.154.0/23128.233.154.1 to 128.233.155.254128.233.155.255510
207128.233.156.0/23128.233.156.1 to 128.233.157.254128.233.157.255510
208128.233.158.0/23128.233.158.1 to 128.233.159.254128.233.159.255510
209128.233.160.0/23128.233.160.1 to 128.233.161.254128.233.161.255510
210128.233.162.0/23128.233.162.1 to 128.233.163.254128.233.163.255510
211128.233.164.0/23128.233.164.1 to 128.233.165.254128.233.165.255510
212128.233.166.0/23128.233.166.1 to 128.233.167.254128.233.167.255510
213128.233.168.0/23128.233.168.1 to 128.233.169.254128.233.169.255510
214128.233.170.0/23128.233.170.1 to 128.233.171.254128.233.171.255510
215128.233.172.0/23128.233.172.1 to 128.233.173.254128.233.173.255510
216128.233.174.0/23128.233.174.1 to 128.233.175.254128.233.175.255510
217128.233.176.0/23128.233.176.1 to 128.233.177.254128.233.177.255510
218128.233.178.0/23128.233.178.1 to 128.233.179.254128.233.179.255510
219128.233.180.0/23128.233.180.1 to 128.233.181.254128.233.181.255510
220128.233.182.0/23128.233.182.1 to 128.233.183.254128.233.183.255510
221128.233.184.0/23128.233.184.1 to 128.233.185.254128.233.185.255510
222128.233.186.0/23128.233.186.1 to 128.233.187.254128.233.187.255510
223128.233.188.0/23128.233.188.1 to 128.233.189.254128.233.189.255510
224128.233.190.0/23128.233.190.1 to 128.233.191.254128.233.191.255510
225128.233.192.0/23128.233.192.1 to 128.233.193.254128.233.193.255510
226128.233.194.0/23128.233.194.1 to 128.233.195.254128.233.195.255510
227128.233.196.0/23128.233.196.1 to 128.233.197.254128.233.197.255510
228128.233.198.0/23128.233.198.1 to 128.233.199.254128.233.199.255510
229128.233.200.0/23128.233.200.1 to 128.233.201.254128.233.201.255510
230128.233.202.0/23128.233.202.1 to 128.233.203.254128.233.203.255510
231128.233.204.0/23128.233.204.1 to 128.233.205.254128.233.205.255510
232128.233.206.0/23128.233.206.1 to 128.233.207.254128.233.207.255510
233128.233.208.0/23128.233.208.1 to 128.233.209.254128.233.209.255510
234128.233.210.0/23128.233.210.1 to 128.233.211.254128.233.211.255510
235128.233.212.0/23128.233.212.1 to 128.233.213.254128.233.213.255510
236128.233.214.0/23128.233.214.1 to 128.233.215.254128.233.215.255510
237128.233.216.0/23128.233.216.1 to 128.233.217.254128.233.217.255510
238128.233.218.0/23128.233.218.1 to 128.233.219.254128.233.219.255510
239128.233.220.0/23128.233.220.1 to 128.233.221.254128.233.221.255510
240128.233.222.0/23128.233.222.1 to 128.233.223.254128.233.223.255510
241128.233.224.0/23128.233.224.1 to 128.233.225.254128.233.225.255510
242128.233.226.0/23128.233.226.1 to 128.233.227.254128.233.227.255510
243128.233.228.0/23128.233.228.1 to 128.233.229.254128.233.229.255510
244128.233.230.0/23128.233.230.1 to 128.233.231.254128.233.231.255510
245128.233.232.0/23128.233.232.1 to 128.233.233.254128.233.233.255510
246128.233.234.0/23128.233.234.1 to 128.233.235.254128.233.235.255510
247128.233.236.0/23128.233.236.1 to 128.233.237.254128.233.237.255510
248128.233.238.0/23128.233.238.1 to 128.233.239.254128.233.239.255510
249128.233.240.0/23128.233.240.1 to 128.233.241.254128.233.241.255510
250128.233.242.0/23128.233.242.1 to 128.233.243.254128.233.243.255510
251128.233.244.0/23128.233.244.1 to 128.233.245.254128.233.245.255510
252128.233.246.0/23128.233.246.1 to 128.233.247.254128.233.247.255510
253128.233.248.0/23128.233.248.1 to 128.233.249.254128.233.249.255510
254128.233.250.0/23128.233.250.1 to 128.233.251.254128.233.251.255510
255128.233.252.0/23128.233.252.1 to 128.233.253.254128.233.253.255510
256128.233.254.0/23128.233.254.1 to 128.233.255.254128.233.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses